curl --request POST \
--url https://api.lmnr.ai/v1/signals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"prompt": "<string>",
"structuredOutput": {},
"sampleRate": 48,
"disabled": true,
"trigger": {
"type": "rootSpanFinished"
},
"filters": [
{
"value": "<unknown>"
}
],
"llmProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>"
}
'import requests
url = "https://api.lmnr.ai/v1/signals"
payload = {
"name": "<string>",
"prompt": "<string>",
"structuredOutput": {},
"sampleRate": 48,
"disabled": True,
"trigger": { "type": "rootSpanFinished" },
"filters": [{ "value": "<unknown>" }],
"llmProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
prompt: '<string>',
structuredOutput: {},
sampleRate: 48,
disabled: true,
trigger: {type: 'rootSpanFinished'},
filters: [{value: '<unknown>'}],
llmProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
model: '<string>'
})
};
fetch('https://api.lmnr.ai/v1/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"prompt": "<string>",
"structuredOutput": {},
"sampleRate": 48,
"disabled": true,
"trigger": {
"type": "rootSpanFinished"
},
"filters": [
{
"column": "total_token_count",
"operator": "eq",
"value": "<unknown>"
}
],
"mode": "batch",
"llmProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"version": 2,
"llmProfileName": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Create a Signal
Creates a Signal with the first server-managed configuration version.
llmProfileId and model are available only on self-hosted deployments. Provide both fields together. Laminar Cloud rejects them.
Authorizations
A Laminar project API key.
Body
255JSON Schema for the Signal's structured result.
Percentage of matching traces to sample; null clears sampling on update.
1 <= x <= 95- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
batch, realtime Self-hosted only. Workspace LLM profile used to evaluate the Signal. Provide with model; omit both fields on update to keep the existing route.
Self-hosted only. Model selected from llmProfileId. Provide both fields together.
Response
Signal created.
255JSON Schema for the Signal's structured result.
Percentage of matching traces to sample; null clears sampling on update.
1 <= x <= 95- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
batch, realtime Self-hosted only. Workspace LLM profile used to evaluate the Signal. Provide with model; omit both fields on update to keep the existing route.
Self-hosted only. Model selected from llmProfileId. Provide both fields together.
Server-managed version of the Signal configuration.
x >= 1Display name of the selected workspace LLM profile.